How to crypto-fix new DL roms

Discussion in '3DS - Flashcards & Custom Firmwares' started by lafleche, Sep 11, 2015.

  1. lafleche
    OP

    lafleche GBAtemp Fan

    Member
    377
    81
    Jan 4, 2007
    Netherlands
    Hi,

    Can someone point me to a 'how-to crypto-fix' tutorial.

    The latest DL roms seem to need it when running on Gateway
     
  2. gunner007

    gunner007 GBAtemp Advanced Maniac

    Member
    1,506
    368
    Dec 31, 2013
    United States
    Are you trying to fix it yourself? You can only repack it (fixing it) assuming you have the game legitimately (have the SEED.DB) file.
     
  3. usernametaken

    usernametaken GBAtemp Maniac

    Member
    1,247
    345
    May 13, 2015
    United States
    This was a post for Isaac, but should work just fine for everything else. :)
     
    Ronhero likes this.
  4. Bonny

    Bonny GBAtemp Advanced Fan

    Member
    606
    103
    Dec 8, 2008
    Germany
    Bavaria
    If i understand the whole thing right... GW's 100% rom compatiblity is gone. :blink: Every new DL title needs to be cryptofixed (by yourself or anybody who can) to make them working, correct?
     
    MattKimura likes this.
  5. usernametaken

    usernametaken GBAtemp Maniac

    Member
    1,247
    345
    May 13, 2015
    United States
    Still has 100% compatibility, only if some games didn't work at all would compatibility drop. :P

    This only affects the N3DS since its firmware can only go up to 9.5 on Emunand.
    O3DS can go up to 10.0 without problems, so there'd be no reason to cryptofix the roms.
     
    MattKimura likes this.
  6. lafleche
    OP

    lafleche GBAtemp Fan

    Member
    377
    81
    Jan 4, 2007
    Netherlands
    Well on my O3ds, gateway on latest emunand, there was no way i could get picross e6 working as 3ds rom
    I had to install a cryptofixed cia.
    So....no. Gateway is atm not 100% draganddrop compatible
     
  7. lemanuel

    lemanuel Maxconsole's All-Knowing Lurker

    Member
    2,095
    1,092
    Dec 11, 2014
    Portugal
    Picross e6 is a game with 7.2 firmware requirement. That's really low. So I doubt it wouldn't work.
    The most likely reason is that it appears to be a eShop game from what I could tell and so it might have been converted poorly to .3ds format

    edit: I have no idea where you even found a rom of picross e6. I've been trying to find it for like 15 mins already and I get nothing. if you happened to find it in some kind of shady website, that could also be the reason it doesn't work.

    edit2: finally found it. lol. Trying now.

    edit3: I can confirm it freezes in the 3DS logo with an O3DS. But no idea if it's due to a poorly dumped rom like I said (since it's a eShop game originally) or if it's really due to crypto protection
     
    Last edited by lemanuel, Sep 11, 2015
    usernametaken likes this.
  8. VerseHell

    VerseHell GBAtemp Psycho!

    Member
    3,067
    1,067
    Jun 29, 2014
    France
    It's due to the 9.6 seed encryption implemented on the new eshop games. To make the game works you need either to use the cryptofixed version or install the cia (non cryptofixed) first then visit the eshop page to get the seed.
     
  9. masterzero

    masterzero GBAtemp Advanced Fan

    Member
    610
    102
    Apr 20, 2007
    exactly where it says gateway is drag and drop compatible on their webpage?
     
  10. lemanuel

    lemanuel Maxconsole's All-Knowing Lurker

    Member
    2,095
    1,092
    Dec 11, 2014
    Portugal
    well.. it has nothing to do with drag and drop. GW is 100% drag and drop compatible since you can literally drag and drop any .3ds/.3dz rom to the mSD card of the red GW card and it will appear in the multirom menu.
    Game compatibility is another thing altogether. And unfortunately, this isn't something that GW can fix I think. It will be up to whoever dumps the roms to fix whenever it's encrypted.
     
  11. Bonny

    Bonny GBAtemp Advanced Fan

    Member
    606
    103
    Dec 8, 2008
    Germany
    Bavaria
    Correct. Some people still think it's a N3DS-only-problem. But that's just not right. My 2 O3DS's are refusing to launch newer DL titles because of the new encryption. So you have to hunt down the newest games cryptofixed or you won't ba able to play them.

    The next problem is: Most new games come out as DL. The list of retail cart releases gets shorter and shorter.
     
  12. masterzero

    masterzero GBAtemp Advanced Fan

    Member
    610
    102
    Apr 20, 2007
    Yea , what I meant is that it seems they just wanted to hit gateway sayiong that it wasnt 100 % compatible with "drag and drop" LOL
     
    lemanuel likes this.
  13. tony_2018

    tony_2018 GBAtemp Psycho!

    Member
    3,106
    1,050
    Jan 3, 2014
    United States
    Nintendo is slowly building up steam....to stop piracy... :Popcorn: